%global srcname mesa
%global _description These drivers contains video acceleration codecs for decoding/encoding H.264 and H.265 \
algorithms and decoding only VC1 algorithm.
%ifnarch s390x
%global with_hardware 1
%global with_radeonsi 1
%global with_vmware 1
%global with_vulkan_hw 0
%global with_vdpau 1
%global with_va 1
%if !0%{?rhel}
%global with_r300 1
%global with_r600 1
%global with_nine 0
%global with_nvk 0
%global with_omx 0
%global with_opencl 0
%endif
#%%global base_vulkan ,amd
%endif

#%%ifnarch %%{ix86}
%if !0%{?rhel}
%global with_teflon 0
%endif
#%%endif

%ifarch %{ix86} x86_64
%global with_crocus 0
%global with_i915   0
%global with_iris   0
%global with_xa     0
%if !0%{?rhel}
%global with_intel_clc 0
%endif
#%%global intel_platform_vulkan ,intel,intel_hasvk
%endif
#%%ifarch x86_64
%global with_intel_vk_rt 0
#%%endif

%ifarch aarch64 x86_64 %{ix86}
%if !0%{?rhel}
%global with_lima      0
%global with_vc4       0
%endif
%global with_etnaviv   0
%global with_freedreno 0
%global with_kmsro     0
%global with_panfrost  0
%global with_tegra     0
%global with_v3d       0
%global with_xa        0
#%%global extra_platform_vulkan ,broadcom,freedreno,panfrost,imagination-experimental
%endif

%ifarch x86_64
%bcond_without optimize
%endif

%if !0%{?rhel}
%global with_libunwind 1
%global with_lmsensors 1
%endif

%ifarch %{valgrind_arches}
%bcond_without valgrind
%else
%bcond_with valgrind
%endif
%define gittag 68215332a8c

#%%global vulkan_drivers swrast%%{?base_vulkan}%%{?intel_platform_vulkan}%%{?extra_platform_vulkan}%%{?with_nvk:,nouveau-experimental}

Name:           %{srcname}-freeworld
Summary:        Mesa graphics libraries
%global ver 24.2.0-devel
Version:        %{lua:ver = string.gsub(rpm.expand("%{ver}"), "-", "~"); print(ver)}
Release:        0.243%{?gittag:~git%{gittag}}%{?dist}
License:        MIT
URL:            http://www.mesa3d.org

Source0:        https://mesa.freedesktop.org/archive/%{srcname}-%{ver}%{?gittag:-%{gittag}}.tar.xz
# src/gallium/auxiliary/postprocess/pp_mlaa* have an ... interestingly worded license.
# Source1 contains email correspondence clarifying the license terms.
# Fedora opts to ignore the optional part of clause 2 and treat that code as 2 clause BSD.
Source1:        Mesa-MLAA-License-Clarification-Email.txt
Source2:        org.mesa3d.vaapi.freeworld.metainfo.xml
Source3:        org.mesa3d.vdpau.freeworld.metainfo.xml

BuildRequires:  meson >= 1.3.0
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gettext
%if 0%{?with_hardware}
BuildRequires:  kernel-headers
%endif
# We only check for the minimum version of pkgconfig(libdrm) needed so that the
# SRPMs for each arch still have the same build dependencies. See:
# https://bugzilla.redhat.com/show_bug.cgi?id=1859515
BuildRequires:  pkgconfig(libdrm) >= 2.4.97
%if 0%{?with_libunwind}
BuildRequires:  pkgconfig(libunwind)
%endif
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(zlib) >= 1.2.3
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.8
BuildRequires:  pkgconfig(wayland-client) >= 1.11
BuildRequires:  pkgconfig(wayland-server) >= 1.11
BuildRequires:  pkgconfig(wayland-egl-backend) >= 3
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xdamage) >= 1.1
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xcb-glx) >= 1.8.1
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb-dri2) >= 1.8
BuildRequires:  pkgconfig(xcb-dri3)
BuildRequires:  pkgconfig(xcb-present)
BuildRequires:  pkgconfig(xcb-sync)
BuildRequires:  pkgconfig(xshmfence) >= 1.1
BuildRequires:  pkgconfig(dri2proto) >= 2.8
BuildRequires:  pkgconfig(glproto) >= 1.4.14
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xrandr) >= 1.3
BuildRequires:  bison
BuildRequires:  flex
%if 0%{?with_lmsensors}
BuildRequires:  lm_sensors-devel
%endif
%if 0%{?with_vdpau}
BuildRequires:  pkgconfig(vdpau) >= 1.1
%endif
%if 0%{?with_va}
BuildRequires:  pkgconfig(libva) >= 0.38.0
%endif
%if 0%{?with_omx}
BuildRequires:  pkgconfig(libomxil-bellagio)
%endif
BuildRequires:  pkgconfig(libelf)
BuildRequires:  pkgconfig(libglvnd) >= 1.3.2
BuildRequires:  llvm-devel >= 7.0.0
%ifarch %{ix86} x86_64
BuildRequires:  clang-devel
BuildRequires:  bindgen
BuildRequires:  pkgconfig(libclc)
BuildRequires:  pkgconfig(SPIRV-Tools)
BuildRequires:  pkgconfig(LLVMSPIRVLib)
%endif
%if 0%{?with_teflon}
BuildRequires:  flatbuffers-devel
BuildRequires:  flatbuffers-compiler
BuildRequires:  xtensor-devel
%endif
%if 0%{?with_opencl} || 0%{?with_nvk}
BuildRequires:  rust-packaging
%endif
%if 0%{?with_nvk}
BuildRequires:  cbindgen
BuildRequires:  (crate(paste) >= 1.0.14 with crate(paste) < 2)
BuildRequires:  (crate(proc-macro2) >= 1.0.56 with crate(proc-macro2) < 2)
BuildRequires:  (crate(quote) >= 1.0.25 with crate(quote) < 2)
BuildRequires:  (crate(syn/clone-impls) >= 2.0.15 with crate(syn/clone-impls) < 3)
BuildRequires:  (crate(unicode-ident) >= 1.0.6 with crate(unicode-ident) < 2)
%endif
%if %{with valgrind}
BuildRequires:  pkgconfig(valgrind)
%endif
BuildRequires:  python3-devel
BuildRequires:  python3-mako
%if 0%{?with_intel_clc}
BuildRequires:  python3-ply
%endif
BuildRequires:  python3-pycparser
BuildRequires:  vulkan-headers
BuildRequires:  glslang
%if 0%{?with_vulkan_hw}
BuildRequires:  pkgconfig(vulkan)
%endif

%description
%{_description}

%if 0%{?with_va}
%package        -n %{srcname}-va-drivers-freeworld
Summary:        Mesa-based VA-API drivers
Requires:       %{srcname}-filesystem%{?_isa} = %{?epoch:%{epoch}:}%{version}
Conflicts:      %{srcname}-va-drivers%{?_isa}

%description    -n %{srcname}-va-drivers-freeworld
%{_description}
%endif

%if 0%{?with_vdpau}
%package        -n %{srcname}-vdpau-drivers-freeworld
Summary:        Mesa-based VDPAU drivers
Requires:       %{srcname}-filesystem%{?_isa} = %{?epoch:%{epoch}:}%{version}
Conflicts:      %{srcname}-vdpau-drivers%{?_isa}

%description 	-n %{srcname}-vdpau-drivers-freeworld
%{_description}
%endif
%prep
%autosetup -n %{srcname}-%{ver} -p1
cp %{SOURCE1} docs/

%build
# ensure standard Rust compiler flags are set
export RUSTFLAGS="%build_rustflags"

# We've gotten a report that enabling LTO for mesa breaks some games. See
# https://bugzilla.redhat.com/show_bug.cgi?id=1862771 for details.
# Disable LTO for now
%define _lto_cflags %{nil}

%if %{with optimize}
%define __cflags_arch_x86_64 -march=x86-64-v3
%endif
#-fno-plt

%meson \
  -Dplatforms=x11,wayland \
  -Ddri3=enabled \
  -Dosmesa=false \
%if 0%{?with_hardware}
  -Dgallium-drivers=swrast,virgl,nouveau%{?with_r300:,r300}%{?with_crocus:,crocus}%{?with_i915:,i915}%{?with_iris:,iris}%{?with_vmware:,svga}%{?with_radeonsi:,radeonsi}%{?with_r600:,r600}%{?with_freedreno:,freedreno}%{?with_etnaviv:,etnaviv}%{?with_tegra:,tegra}%{?with_vc4:,vc4}%{?with_v3d:,v3d}%{?with_kmsro:,kmsro}%{?with_lima:,lima}%{?with_panfrost:,panfrost}%{?with_vulkan_hw:,zink} \
%else
  -Dgallium-drivers=swrast,virgl \
%endif
  -Dgallium-vdpau=%{?with_vdpau:enabled}%{!?with_vdpau:disabled} \
  -Dgallium-omx=%{!?with_omx:bellagio}%{?with_omx:disabled} \
  -Dgallium-va=%{?with_va:enabled}%{!?with_va:disabled} \
  -Dgallium-xa=%{!?with_xa:enabled}%{?with_xa:disabled} \
  -Dgallium-nine=%{!?with_nine:true}%{?with_nine:false} \
  -Dteflon=%{!?with_teflon:true}%{?with_teflon:false} \
  -Dgallium-opencl=%{!?with_opencl:icd}%{?with_opencl:disabled} \
%if 0%{?with_opencl}
  -Dgallium-rusticl=true \
%endif
  -Dvideo-codecs=all \
  -Dvulkan-drivers=%{?vulkan_drivers} \
  -Dvulkan-layers=device-select \
  -Dshared-glapi=enabled \
  -Dgles1=disabled \
  -Dgles2=disabled \
  -Dopengl=true \
  -Dgbm=disabled \
  -Dglx=dri \
  -Degl=disabled \
  -Dglvnd=false \
%if 0%{?with_intel_clc}
  -Dintel-clc=enabled \
%endif
  -Dintel-rt=%{!?with_intel_vk_rt:enabled}%{?with_intel_vk_rt:disabled} \
  -Dmicrosoft-clc=disabled \
  -Dllvm=enabled \
  -Dshared-llvm=enabled \
  -Dvalgrind=%{?with_valgrind:enabled}%{!?with_valgrind:disabled} \
  -Dbuild-tests=false \
  -Dselinux=true \
%if !0%{?with_libunwind}
  -Dlibunwind=disabled \
%endif
%if !0%{?with_lmsensors}
  -Dlmsensors=disabled \
%endif
  -Dandroid-libbacktrace=disabled \
%ifarch %{ix86}
  -Dglx-read-only-text=true \
%endif
  %{nil}
%meson_build

%install
%meson_install

# install Appdata files
mkdir -p %{buildroot}%{_metainfodir}
install -pm 0644 %{SOURCE2} %{buildroot}%{_metainfodir}
install -pm 0644 %{SOURCE3} %{buildroot}%{_metainfodir}

# libvdpau opens the versioned name, don't bother including the unversioned
rm -vf %{buildroot}%{_libdir}/vdpau/*.so
# likewise glvnd
rm -vf %{buildroot}%{_libdir}/libGLX_mesa.so
rm -vf %{buildroot}%{_libdir}/libEGL_mesa.so
# XXX can we just not build this
rm -vf %{buildroot}%{_libdir}/libGLES*

# glvnd needs a default provider for indirect rendering where it cannot
# determine the vendor
ln -s %{_libdir}/libGLX_mesa.so.0 %{buildroot}%{_libdir}/libGLX_system.so.0

# this keeps breaking, check it early.  note that the exit from eu-ftr is odd.
pushd %{buildroot}%{_libdir}
for i in libOSMesa*.so libGL.so ; do
    eu-findtextrel $i && exit 1
done
popd

# strip unneeded files from va-api and vdpau
rm -rf %{buildroot}%{_datadir}/{drirc.d,glvnd,vulkan}
rm -rf %{buildroot}%{_libdir}/{d3d,EGL,gallium-pipe,libGLX,pkgconfig}
rm -rf %{buildroot}%{_includedir}/{d3dadapter,EGL,GL,KHR}
rm -fr %{buildroot}%{_sysconfdir}/OpenGL
rm -fr %{buildroot}%{_libdir}/libGL.so*
rm -fr %{buildroot}%{_libdir}/libglapi.so*
rm -fr %{buildroot}%{_libdir}/libOSMesa.so*
rm -fr %{buildroot}%{_libdir}/pkgconfig/osmesa.pc
rm -fr %{buildroot}%{_libdir}/libgbm.so*
rm -fr %{buildroot}%{_includedir}/gbm.h
rm -fr %{buildroot}%{_libdir}/libxatracker.so*
rm -fr %{buildroot}%{_includedir}/xa_*.h
rm -fr %{buildroot}%{_libdir}/libMesaOpenCL.so*
rm -fr %{buildroot}%{_libdir}/dri/*_dri.so
rm -fr %{buildroot}%{_libdir}/libvulkan*.so
rm -fr %{buildroot}%{_libdir}/libVkLayer_MESA_device_select.so

%if 0%{?with_va}
%files -n %{srcname}-va-drivers-freeworld
%{_libdir}/dri/nouveau_drv_video.so
%if 0%{?with_r600}
%{_libdir}/dri/r600_drv_video.so
%endif
%if 0%{?with_radeonsi}
%{_libdir}/dri/radeonsi_drv_video.so
%endif
%{_libdir}/dri/virtio_gpu_drv_video.so
%{_metainfodir}/org.mesa3d.vaapi.freeworld.metainfo.xml
%license docs/license.rst
%endif

%if 0%{?with_vdpau}
%files -n %{srcname}-vdpau-drivers-freeworld
%{_libdir}/vdpau/libvdpau_nouveau.so.1*
%if 0%{?with_r600}
%{_libdir}/vdpau/libvdpau_r600.so.1*
%endif
%if 0%{?with_radeonsi}
%{_libdir}/vdpau/libvdpau_radeonsi.so.1*
%endif
%{_libdir}/vdpau/libvdpau_virtio_gpu.so.1*
%{_metainfodir}/org.mesa3d.vdpau.freeworld.metainfo.xml
%license docs/license.rst
%endif

%changelog
* Sun Jun 30 2024 Martin Naď - 24.2.0~devel-0.243~git68215332a8c
- update to git 68215332a8c

* Tue Jun 25 2024 Martin - 24.2.0~devel-0.242~git4db32ac7ef0
- update to git 4db32ac7ef0

* Wed Jun 19 2024 Artyom - 24.2.0~devel-0.241~git9f1effb03b1
- update to git 9f1effb03b1

* Sun Jun 16 2024 Artyom - 24.2.0~devel-0.240~gitfda97d6d0a6
- update to git fda97d6d0a6

* Fri Jun 14 2024 Martin - 24.2.0~devel-0.239~git98e3b1bc5f7
- update to git 98e3b1bc5f7

* Sun Jun 09 2024 Martin - 24.1.1-0.238~git8104791bb70
- update to git 8104791bb70

* Fri May 24 2024 Martin Naď - 24.1.0-0.237~gite844211d95b
- update to git e844211d95b

* Tue May 21 2024 Martin Naď - 24.1.0~rc4-0.236~git35c87d0ee92
- update to git 35c87d0ee92

* Tue May 21 2024 Martin Naď
- update to git

* Sun May 19 2024 Martin Naď - 24.1.0~rc4-0.234~gitd0602e2dabc
- update to git d0602e2dabc

* Thu May 16 2024 Martin Naď - 24.1.0~rc4-0.233~gitd0602e2dabc
- update to git d0602e2dabc

* Thu May 16 2024 Martin Naď - 24.1.0~rc3-0.232~gitc6f11391abb
- update to git c6f11391abb

* Thu May 16 2024 Martin Naď
- update to git

* Sun May 12 2024 Martin Naď - 24.1.0~rc3-0.230~gitc6f11391abb
- update to git c6f11391abb

* Fri May 10 2024 Martin Naď - 24.1.0~rc3-0.229~git71f25dc28ca
- update to git 71f25dc28ca

* Thu May 09 2024 Martin Naď - 24.1.0~rc3-0.228~git71f25dc28ca
- update to git 71f25dc28ca

* Sun May 05 2024 Martin Naď - 24.1.0~rc2-0.227~gitb897d0bac1a
- update to git b897d0bac1a

* Thu May 02 2024 Martin Naď - 24.1.0~rc2-0.226~gitf3ff3d86efc
- update to git f3ff3d86efc

* Sat Apr 27 2024 Martin Naď - 24.1.0~rc1-0.225~git30f53526492
- update to git 30f53526492

* Mon Apr 08 2024 Martin Naď - 24.1.0~devel-0.219~git96479794a5d
- update to git 96479794a5d

* Sun Apr 07 2024 Martin Naď - 24.1.0~devel-0.218~gitaac2a31b3d3
- update to git aac2a31b3d3

* Tue Apr 02 2024 Martin Naď - 24.1.0~devel-0.217~git89182faee8c
- update to git 89182faee8c

* Mon Apr 01 2024 Martin Naď - 24.1.0~devel-0.216~git3d68dd78d07
- update to git 3d68dd78d07

* Sun Mar 31 2024 Martin Naď - 24.1.0~devel-0.215~gita2d3cdd5f20
- update to git a2d3cdd5f20

* Sat Mar 23 2024 Martin Naď - 24.1.0~devel-0.214~gitcc5e7f8b9b4
- update to git cc5e7f8b9b4

* Thu Mar 21 2024 Martin Naď - 24.1.0~devel-0.213~gitd8f53f698c1
- update to git d8f53f698c1

* Tue Mar 19 2024 Martin Naď - 24.1.0~devel-0.212~git58e3b1f930f
- update to git 58e3b1f930f

* Sat Mar 16 2024 Martin Naď - 24.1.0~devel-0.211~giteac703f6912
- update to git eac703f6912

* Sat Mar 16 2024 Martin Naď - 24.1.0~devel-0.210~git7bd1d4848cf
- update to git 7bd1d4848cf

* Sat Mar 16 2024 Martin Naď - 24.1.0~devel-0.209~git7bd1d4848cf
- update to git 7bd1d4848cf

* Thu Mar 07 2024 Martin Naď - 24.1.0~devel-0.208~gitf3fe1f2f18d
- update to git f3fe1f2f18d

* Thu Mar 07 2024 Martin Naď - 24.1.0~devel-0.207~gitd0397644103
- update to git d0397644103

* Wed Mar 06 2024 Martin Naď - 24.1.0~devel-0.206~git33bf7ca710a
- update to git 33bf7ca710a

* Wed Mar 06 2024 Martin Naď - 24.1.0~devel-0.205~git48da361eb7b
- update to git 48da361eb7b

* Mon Mar 04 2024 Martin Naď - 24.1.0~devel-0.204~gitaaa2d13181e
- update to git aaa2d13181e

* Thu Feb 08 2024 Martin Naď - 24.0.0-0.203~gitc3ba03903f3
- update to git c3ba03903f3

* Fri Feb 02 2024 Martin Naď - 24.0.0-0.202~gitee25160ed5d
- update to git ee25160ed5d

* Sun Jan 28 2024 Martin Naď - 24.1.0~devel-0.201~git68b3b1573b4
- update to git 68b3b1573b4

* Fri Jan 26 2024 Martin Naď - 24.0.0~rc3-0.200~git808f056688b
- update to git 808f056688b

* Fri Jan 19 2024 Martin Naď - 24.0.0~rc2-0.199~git085612fce5e
- update to git 085612fce5e

* Thu Jan 18 2024 Martin Naď - 24.0.0~rc2-0.198~git085612fce5e
- update to git 085612fce5e

* Wed Jan 17 2024 Martin Naď - 24.0.0~rc1-0.197~git25ae9134ddd
- update to git 25ae9134ddd

* Sat Jan 13 2024 Martin Naď - 24.0.0~rc1-0.196~git26a96af8082
- update to git 26a96af8082

* Thu Jan 11 2024 Martin Naď - 24.0.0~rc1-0.195~git26a96af8082
- update to git 26a96af8082

* Wed Jan 10 2024 Martin Naď - 24.0.0~devel-0.194~git0ab7ea56b25
- update to git 0ab7ea56b25

* Mon Jan 08 2024 Martin Naď - 24.0.0~devel-0.193~git55e5c4e089a
- update to git 55e5c4e089a

* Sun Jan 07 2024 Martin Naď - 24.0.0~devel-0.192~git4d02543853e
- update to git 4d02543853e

* Mon Jan 01 2024 Martin Naď - 24.0.0~devel-0.191~git2e46dd06247
- update to git 2e46dd06247

* Mon Jan 01 2024 Martin Naď - 24.0.0~devel-0.190~git0210b554d68
- update to git 0210b554d68

* Wed Dec 27 2023 Martin Nad - 24.0.0~devel-0.189~gitbd32badbb77
- update to git bd32badbb77

* Fri Dec 22 2023 Martin Nad - 24.0.0~devel-0.188~git551924aa879
- update to git 551924aa879

* Mon Dec 18 2023 Martin Nad - 24.0.0~devel-0.187~git290d958c630
- update to git 290d958c630

* Mon Dec 18 2023 Martin Nad - 24.0.0~devel-0.186~git30faa7a483e
- update to git 30faa7a483e

* Sat Dec 16 2023 Martin Nad - 24.0.0~devel-0.185~git586c34b19c2
- update to git 586c34b19c2

* Thu Dec 14 2023 Martin Nad - 24.0.0~devel-0.184~git14267d97393
- update to git 14267d97393

* Wed Dec 13 2023 Martin Nad - 24.0.0~devel-0.183~gitdb5166718d8
- update to git db5166718d8

* Wed Dec 13 2023 Martin Nad - 23.3.0-0.182~gita7e3f3b58cf
- update to git a7e3f3b58cf

* Wed Dec 13 2023 Martin Nad - 23.3.0-0.181~gita7e3f3b58cf
- update to git a7e3f3b58cf

* Sat Dec 02 2023 Martin Nad - 23.3.0-0.180
- rebuilt

* Sat Nov 25 2023 Martin Nad - 23.3.0~rc5-0.178~gitc03abd2d9f5
- update to git c03abd2d9f5

* Sat Nov 25 2023 Martin Nad - 23.3.0~rc5-0.177~gitc03abd2d9f5
- update to git c03abd2d9f5

* Thu Nov 16 2023 Martin Nad - 23.3.0~rc4-0.176~git4611aef8a85
- update to git 4611aef8a85

* Tue Nov 14 2023 Martin Nad - 23.3.0~rc3-0.175~giteb9f7db980f
- update to git eb9f7db980f

* Mon Nov 13 2023 Martin Nad - 23.3.0~rc3-0.174~git81ab4a3a015
- update to git 81ab4a3a015

* Sat Nov 11 2023 Martin Nad - 23.3.0~rc3-0.173~git81ab4a3a015
- update to git 81ab4a3a015

* Thu Nov 2 2023 Thorsten Leemhuis <fedora@leemhuis.info> - 23.3.0~rc2-1
- Update to 23.2.0-rc2

* Thu Oct 26 2023 Thorsten Leemhuis <fedora@leemhuis.info> - 23.3.0~rc1-1
- Update to 23.2.0-rc1

* Tue Oct 10 2023 Thorsten Leemhuis <fedora@leemhuis.info> - 23.2.1-2
- follow Fedora: backport MR #24045 to fix Iris crashes (RHBZ#2238711)
- temporarily hard require llvm16, as that's what's used by fedora

* Sat Sep 30 2023 Thorsten Leemhuis <fedora@leemhuis.info> - 23.2.1-1
- Update to 23.2.1

* Wed Sep 6 2023 Thorsten Leemhuis <fedora@leemhuis.info> - 23.2.0~rc3.1
- Update to 23.2.0-rc3
- sync a few spec file bits with Fedora's mesa package

* Fri Aug 11 2023 Thorsten Leemhuis <fedora@leemhuis.info> - 23.2.0~rc1.1
- Update to 23.2.0-rc2

* Thu Aug 3 2023 Thorsten Leemhuis <fedora@leemhuis.info> - 23.1.5-1
- Update to 23.1.5

* Tue Nov 07 2023 Martin Nad - 23.3.0~rc2-0.171~gitb419916e7f5
- update to git b419916e7f5

* Mon Nov 06 2023 Martin Nad - 23.3.0~rc2-0.170~gitb328f019421
- update to git b328f019421

* Sat Nov 04 2023 Martin Nad - 23.3.0~rc2-0.169~git7ccb51b87c4
- update to git 7ccb51b87c4

* Wed Nov 01 2023 Martin Nad - 23.3.0~rc2-0.168~gitc97af690c9c
- update to git c97af690c9c

* Tue Oct 31 2023 Martin Nad - 23.3.0~rc1-0.167~git69e6b0307bf
- update to git 69e6b0307bf

* Thu Oct 26 2023 Martin Nad - 23.3.0~rc1-0.165~gitc8c90eb456a
- update to git c8c90eb456a

* Wed Oct 25 2023 Martin Nad - 23.3.0~devel-0.164~gitd52c39a6cd9
- update to git d52c39a6cd9

* Mon Oct 23 2023 Martin Nad - 23.3.0~devel-0.163~gitd57611fe25f
- update to git d57611fe25f

* Mon Oct 23 2023 Martin Nad - 23.3.0~devel-0.162~git16e11636517
- update to git 16e11636517

* Sun Oct 22 2023 Martin Nad - 23.3.0~devel-0.161~git9f4f52f4f34
- update to git 9f4f52f4f34

* Sun Oct 22 2023 Martin Nad - 23.3.0~devel-0.160~git9f4f52f4f34
- update to git 9f4f52f4f34

* Fri Oct 20 2023 Martin Nad - 23.3.0~devel-0.159~git1f056f229a7
- update to git 1f056f229a7

* Thu Oct 19 2023 Martin Nad - 23.3.0~devel-0.157~git6e73b1c5b2f
- update to git 6e73b1c5b2f

* Wed Oct 18 2023 Martin Nad - 23.3.0~devel-0.156~git74ef0d4f934
- update to git 74ef0d4f934

* Tue Oct 17 2023 Martin Nad - 23.3.0~devel-0.155~git4591c525eaa
- update to git 4591c525eaa

* Sun Oct 15 2023 Martin Nad - 23.3.0~devel-0.154~gitb3043434d9c
- update to git b3043434d9c

* Thu Oct 12 2023 Martin Nad - 23.3.0~devel-0.153~git7a3981b9a7c
- update to git 7a3981b9a7c

* Mon Oct 09 2023 Martin Nad - 23.3.0~devel-0.152~git3438304c006
- update to git 3438304c006

* Sat Oct 07 2023 Martin Nad - 23.3.0~devel-0.151~git348eee9c974
- update to git 348eee9c974

* Fri Oct 06 2023 Martin Nad - 23.3.0~devel-0.150~git9b0960cfe39
- update to git 9b0960cfe39

* Wed Oct 04 2023 Martin Nad - 23.3.0~devel-0.149~git9ec0c90d6d8
- update to git 9ec0c90d6d8

* Fri Sep 29 2023 Martin Nad - 23.3.0~devel-0.148~gita524f6b5d4f
- update to git a524f6b5d4f

* Thu Sep 28 2023 Martin Nad - 23.3.0~devel-0.147~git8e97d291a8f
- update to git 8e97d291a8f

* Wed Sep 27 2023 Martin Nad - 23.3.0~devel-0.146~git302907e3476
- update to git 302907e3476

* Tue Sep 26 2023 Martin Nad - 23.3.0~devel-0.145~gitb1e851d66c3
- update to git b1e851d66c3

* Sun Sep 24 2023 Martin Nad - 23.3.0~devel-0.144~gita57cc0ae0c8
- update to git a57cc0ae0c8

* Fri Sep 22 2023 Martin Nad - 23.3.0~devel-0.143~git17dfbb6ce78
- update to git 17dfbb6ce78

* Thu Sep 21 2023 Martin Nad - 23.3.0~devel-0.142~git065ff21bf21
- update to git 065ff21bf21

* Sat Sep 16 2023 Martin Nad - 23.3.0~devel-0.141~gitedd3cd67c2f
- update to git edd3cd67c2f

* Mon Dec 19 2022 Thorsten Leemhuis <fedora@leemhuis.info> - 22.3.1-1
- adjust placement of a few files entries to stay in sync with Fedora; while at it
  make it more obvious that the license files are specific to rpmfusion
